"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.discoverFeedsFromHtml = exports.discoverFeedsFromRawHtml = void 0;
const htmlparser2_1 = require("htmlparser2");
const utils_1 = require("../utils");
const parseFeedsFromLinks_1 = require("./parseFeedsFromLinks");
function discoverFeedsFromRawHtml(url, html) {
    return discoverFeedsFromHtml(url, (0, htmlparser2_1.parseDocument)(html));
}
exports.discoverFeedsFromRawHtml = discoverFeedsFromRawHtml;
/**
 * Discovers feed documents using the link auto-discovery process
 * https://www.rssboard.org/rss-autodiscovery
 * https://www.jsonfeed.org/version/1.1/#discovery
 *
 * @param url The page URL
 * @param html The HTML DOM
 */
function discoverFeedsFromHtml(url, html) {
    var _a;
    const links = htmlparser2_1.DomUtils.getElementsByTagName('link', html, true, 100);
    const base = (0, utils_1.getElementByTagName)('base', html.children, true);
    const baseUrl = new URL((_a = base === null || base === void 0 ? void 0 : base.attribs.href) !== null && _a !== void 0 ? _a : url, url);
    return (0, parseFeedsFromLinks_1.parseFeedsFromLinks)(links, baseUrl);
}
exports.discoverFeedsFromHtml = discoverFeedsFromHtml;
