"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchFeedPostList = void 0;
const parseRawFeed_1 = require("./parseRawFeed");
const mimeTypes = [
    'application/xml',
    'application/rss+xml',
    'application/atom+xml',
    'application/feed+json',
    'application/json',
];
/**
 * Fetches and parses a RSS, Atom or JSON Feed.
 *
 * @param axios The axios instance
 * @param feedUrl The URL
 * @param type The type
 */
function fetchFeedPostList(axios, feedUrl, type) {
    return __awaiter(this, void 0, void 0, function* () {
        const { data, headers } = yield axios.get(feedUrl, {
            responseType: 'text',
            transformResponse: data => data,
            headers: {
                Accept: mimeTypes.join(', '),
            },
        });
        if (!data)
            throw new Error('No data received.');
        return (0, parseRawFeed_1.parseRawFeed)(data, type || headers['content-type']);
    });
}
exports.fetchFeedPostList = fetchFeedPostList;
