"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseAtomPagination = void 0;
const parseFeedsFromLinks_1 = require("./parseFeedsFromLinks");
/**
 * Parses <link> elements and tries to find pagination info
 *
 * @param links The link elements
 */
function parseAtomPagination(links) {
    return {
        next: findFeedLink(links, 'next'),
        previous: findFeedLink(links, 'previous'),
        first: findFeedLink(links, 'first'),
        last: findFeedLink(links, 'last'),
    };
}
exports.parseAtomPagination = parseAtomPagination;
/**
 * Finds a discovered feed by a list of links and a specific rel
 *
 * @param links The link elements
 * @param rel The rel
 */
function findFeedLink(links, rel) {
    const validFeeds = (0, parseFeedsFromLinks_1.parseFeedsFromLinks)(links.filter(link => link.attribs.rel === rel));
    if (validFeeds.length === 0)
        return undefined;
    return validFeeds[0];
}
