"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.discoverWordpressApiFromHeader = void 0;
const parse_link_header_1 = __importDefault(require("parse-link-header"));
const wpApiRel = 'https://api.w.org/';
/**
 * Discovers the Wordpress API base URL
 *
 * See https://developer.wordpress.org/rest-api/using-the-rest-api/discovery/
 *
 * @param headers The response headers
 */
function discoverWordpressApiFromHeader(headers) {
    const links = (0, parse_link_header_1.default)(headers['link']);
    if (!links)
        return [];
    const endpoint = links[wpApiRel];
    if (!endpoint)
        return [];
    return [{
            source: 'wordpress-rest-api',
            url: endpoint.url,
        }];
}
exports.discoverWordpressApiFromHeader = discoverWordpressApiFromHeader;
