"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchWordpressBlogInfo = void 0;
const parseWordpressBlogInfo_1 = require("./parseWordpressBlogInfo");
/**
 * Fetches the Wordpress blog information from the Wordpress REST API
 *
 * See https://developer.wordpress.org/rest-api/reference/
 *
 * @param axios The Axios instance
 * @param wpApiBase The base Wordpress REST API URL
 * @param options The options
 */
function fetchWordpressBlogInfo(axios, wpApiBase, options = {}) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        let params = {};
        if ((_a = options.includeEmbedded) !== null && _a !== void 0 ? _a : true)
            params['_embed'] = true;
        const url = '/?' + new URLSearchParams(params).toString();
        const { data } = yield axios.get(url, {
            baseURL: wpApiBase,
            responseType: 'json',
            headers: {
                Accept: 'application/json',
            },
        });
        return (0, parseWordpressBlogInfo_1.parseWordpressBlogInfo)(data);
    });
}
exports.fetchWordpressBlogInfo = fetchWordpressBlogInfo;
